from . import StorageInterface

class InMemoryStorage(StorageInterface):
    def __init__(self):
        self.storage = {}

    def get_data(self, domain: str, namespace: str, username: str, resource_id: str):
        return self.storage.get((domain, namespace, username, resource_id), None)

    def save_data(self, domain: str, namespace: str, username: str, resource_id: str, data: dict):
        self.storage[(domain, namespace, username, resource_id)] = data
        return data

    def update_data(self, domain: str, namespace: str, username: str, resource_id: str, data: dict):
        if (domain, namespace, username, resource_id) in self.storage:
            self.storage[(domain, namespace, username, resource_id)] = data
            return data
        return None

    def delete_data(self, domain: str, namespace: str, username: str, resource_id: str):
        if (domain, namespace, username, resource_id) in self.storage:
            del self.storage[(domain, namespace, username, resource_id)]
            return True
        return False

