from sqlmodel import SQLModel, Field
from datetime import datetime


class XCAPResource(SQLModel, table=True):
    """SQLModel for storing XCAP resources."""

    resource_id: str = Field(primary_key=True)
    name: str
    content: str
    domain: str
    namespace: str
    username: str
    created_at: datetime = Field(default_factory=datetime.utcnow)
    updated_at: datetime = Field(default_factory=datetime.utcnow)

    # To auto update timestamps
    def update_timestamps(self):
        self.updated_at = datetime.utcnow()
