from pydantic import BaseModel
from datetime import datetime
from typing import Optional

class XCAPData(BaseModel):
    """Schema for XCAP resource data."""
    resource_id: str
    name: str
    content: str
    domain: str
    namespace: str
    username: str
    created_at: datetime
    updated_at: datetime

    class Config:
        orm_mode = True  # Allows to work with SQLAlchemy ORM objects
